Tickets
REST reference

Tickets API

Support tickets (read-only).

List tickets

GET/v1/tickets

Cursor-paginated tickets, newest first.

Required scope: tickets:read.

Parameters
limitinteger

Page size (1–100).

starting_afterstring

Cursor: the `id` of the last item from the previous page.

statusstring
prioritystring
typestring
customer_idstring
assignee_idstring
Request
cURL
curl "https://api.asks.app/v1/tickets" \
  -H "Authorization: Bearer $ASKS_API_KEY"
Response 200
JSON
{
  "object": "list",
  "data": [
    {
      "object": "ticket",
      "id": "string",
      "number": 1,
      "type": "string",
      "subject": "string",
      "description": {},
      "status": "string",
      "priority": "string",
      "tags": [
        "string"
      ],
      "assignee_id": {},
      "team_id": {},
      "customer_id": {},
      "category_id": {},
      "source_conversation_id": {},
      "sla_status": {},
      "sla_policy_id": {},
      "first_response_at": {},
      "sla_first_response_due_at": {},
      "sla_next_response_due_at": {},
      "sla_resolution_due_at": {},
      "summary": {},
      "resolved_at": {},
      "closed_at": {},
      "created_at": {},
      "updated_at": {}
    }
  ],
  "has_more": true,
  "next_cursor": {}
}

Retrieve a ticket

GET/v1/tickets/{id}

Required scope: tickets:read.

Request
cURL
curl "https://api.asks.app/v1/tickets/<id>" \
  -H "Authorization: Bearer $ASKS_API_KEY"
Response 200
JSON
{
  "object": "ticket",
  "id": "string",
  "number": 1,
  "type": "string",
  "subject": "string",
  "description": {},
  "status": "string",
  "priority": "string",
  "tags": [
    "string"
  ],
  "assignee_id": {},
  "team_id": {},
  "customer_id": {},
  "category_id": {},
  "source_conversation_id": {},
  "sla_status": {},
  "sla_policy_id": {},
  "first_response_at": {},
  "sla_first_response_due_at": {},
  "sla_next_response_due_at": {},
  "sla_resolution_due_at": {},
  "summary": {},
  "resolved_at": {},
  "closed_at": {},
  "created_at": {},
  "updated_at": {}
}